%define		_state		stable
%define		orgname		kdegraphics-strigi-analyzer
%define		qtver		4.8.0

Summary:	K Desktop Environment - Strigi analyzers for various graphic types
Name:		kde4-kdegraphics-strigi-analyzer
Version:	4.14.3
Release:	4
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	f8a48a2a44f2c6352e6cb9f68bb97591
URL:		http://www.kde.org/
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	libtiff-devel
BuildRequires:	strigi-devel
Obsoletes:	kde4-kdegraphics-kfile < 4.6.99
Obsoletes:	kdegraphics-strigi-analyzer <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Strigi analyzers for various graphic types.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/strigi/strigiea_dvi.so
%attr(755,root,root) %{_libdir}/strigi/strigiea_tiff.so
%changelog
* Wed Oct 02 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kdegraphics-strigi-analyzer.git;a=log;h=master

* Wed Oct 02 2019 Jan Rękorajski <baggins@pld-linux.org> db6c823
- rebuild for g++ ABI changes
- release 4 (by relup.sh)

* Wed Apr 13 2016 Jan Rękorajski <baggins@pld-linux.org> 60c9483
- release 3 (by relup.sh)

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> 532a977
- x32 rebuild
- release 2 (by relup.sh)

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 8d4b80e
- updated to 4.14.3 (by update-kde4.sh)

* Sun Aug 24 2014 Witold Filipczyk <witekfl@poczta.onet.pl> e51d73c
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 5169d26
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 8126e1c
- updated to 4.13.1 (by update-kde4.sh)

* Sat May 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 2e360ae
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 0cdcee8
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> d577527
- updated to 4.12.3 (by update-kde4.sh)

* Wed Feb 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 880a942
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> d3180ae
- updated to 4.12.1 (by update-kde4.sh)

* Thu Dec 26 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 414e63b
- 4.12.0

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 62e647c
- updated to 4.10.4 (by update-kde4.sh)

* Sat Mar 02 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2abd594
- up to 4.10.1

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> f410d80
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> 47363ea
- updated to 4.9.4

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> f8170a8
- updated to 4.9.1.

* Sun Aug 26 2012 Paweł Sikora <pawel.sikora@agmk.net> e08faaf
- updated to 4.9.0.

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4a89c8e
- up to 4.8.0; now as kde4-kdegraphics-strigi-analyzer

